Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 35 lines (32 sloc) 1.415 kB
44823ca @felixhoo Make base into a gem
felixhoo authored
1 $LOAD_PATH.unshift(File.join(File.dirname(__FILE__), "lib"))
2 require "base/version"
3
4 Gem::Specification.new do |s|
5 s.name = "vcap_services_base"
6 s.version = VCAP::Services::Base::VERSION
7 s.platform = Gem::Platform::RUBY
8 s.summary = "VCAP services base module"
83efd10 @felixhoo Bump base gem to 1.0.12
felixhoo authored
9 s.description = "Base class/module to develop CloudFoundry service"
10 s.homepage = "https://github.com/cloudfoundry/vcap-services-base"
b36a949 @andl add manifest file to snapshot file
andl authored
11 s.files = Dir.glob("lib/**/*")
44823ca @felixhoo Make base into a gem
felixhoo authored
12 s.require_path = [ "lib" ]
13 s.author = "CloudFoundry Services Team"
83efd10 @felixhoo Bump base gem to 1.0.12
felixhoo authored
14 s.email = "cf-services@rbcon.com"
44823ca @felixhoo Make base into a gem
felixhoo authored
15
93b1be2 @felixhoo bump nats, vcap_common, vcap_services_base gem
felixhoo authored
16 s.add_dependency "nats", "~> 0.4.22.beta.8"
44823ca @felixhoo Make base into a gem
felixhoo authored
17 s.add_dependency "datamapper", "~> 1.1.0"
18 s.add_dependency "do_sqlite3", "~> 0.10.3"
19 s.add_dependency "eventmachine", "~> 0.12.11.cloudfoundry.3"
20 s.add_dependency "eventmachine_httpserver", "~> 0.2.1"
21 s.add_dependency "json", "~> 1.4.6"
22 s.add_dependency "uuidtools", "~> 2.1.2"
23 s.add_dependency "ruby-hmac", "~> 0.4.0"
83efd10 @felixhoo Bump base gem to 1.0.12
felixhoo authored
24 s.add_dependency "em-http-request", "~> 1.0.0.beta.3"
44823ca @felixhoo Make base into a gem
felixhoo authored
25 s.add_dependency "sinatra", "~> 1.2.3"
fec3a15 @felixhoo Merge branch 'master' into services-r7
felixhoo authored
26 s.add_dependency "thin", "~> 1.3.1"
93b1be2 @felixhoo bump nats, vcap_common, vcap_services_base gem
felixhoo authored
27 s.add_dependency "vcap_common", ">= 1.0.8"
8995919 bump vcap_logging gem to 1.0.2 for both services-base and all services.
Chunjie authored
28 s.add_dependency "vcap_logging", ">=1.0.2"
64faf5e @andl add snapshot quota and delete snapshot job
andl authored
29 s.add_dependency "resque", "~> 1.20"
30 s.add_dependency "resque-status", "~> 0.3.2"
31105b7 @andl move lifecycle framework into base
andl authored
31 s.add_dependency "curb", "~> 0.7.16"
b36a949 @andl add manifest file to snapshot file
andl authored
32 s.add_dependency "rubyzip", "~> 0.9.8"
e1efdc1 @tangr1 Add warden dependency in base gem
tangr1 authored
33 s.add_dependency "warden-client", "~> 0.0.2"
44823ca @felixhoo Make base into a gem
felixhoo authored
34 end
Something went wrong with that request. Please try again.